IDableBpGraphComponent< BAS > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IDableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::IDableBpGraphComponent< BAS >

This class describes the interface of idable undirected bipartite graphs. It extends IDableGraphComponent with the core ID functions of undirected bipartite graphs. Beside the regular node ids, this class also provides ids within the the red and blue sets of the nodes. This concept is part of the BpGraph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for IDableBpGraphComponent< BAS >:
[legend]

## Public Member Functions
int | id (const RedNode &) const
| Return a unique integer id for the given node in the red set. More...
int | id (const BlueNode &) const
| Return a unique integer id for the given node in the blue set. More...
int | maxRedId () const
| Return an integer greater or equal to the maximum node id in the red set. More...
int | maxBlueId () const
| Return an integer greater or equal to the maximum node id in the blue set. More...
Public Member Functions inherited from IDableGraphComponent< BAS >
int | id (const Edge &) const
| Return a unique integer id for the given edge. More...
Edge | edgeFromId (int) const
| Return the edge by its unique id. More...
int | maxEdgeId () const
| Return an integer greater or equal to the maximum edge id. More...
Public Member Functions inherited from IDableDigraphComponent< BAS >
int | id (const Node &) const
| Return a unique integer id for the given node. More...
Node | nodeFromId (int) const
| Return the node by its unique id. More...
int | id (const Arc &) const
| Return a unique integer id for the given arc. More...
Arc | arcFromId (int) const
| Return the arc by its unique id. More...
int | maxNodeId () const
| Return an integer greater or equal to the maximum node id. More...
int | maxArcId () const
| Return an integer greater or equal to the maximum arc id. More...

## Member Function Documentation

int id | ( | const RedNode & |  | ) | const
| inline

Return a unique integer id for the given node in the red set.

int id | ( | const BlueNode & |  | ) | const
| inline

Return a unique integer id for the given node in the blue set.

int maxRedId | ( |  | ) | const
| inline

Return an integer greater or equal to the maximum node id in the red set.

int maxBlueId | ( |  | ) | const
| inline

Return an integer greater or equal to the maximum node id in the blue set.